Subject: QM/MM in CHARMM

From: [email-masked]
Date: Tue, 21 Nov 2000 16:30:01 +0800 (CST)

Dear All,
 
 I `ve try to use a QM/MM block of CHARMM programm but I had a problem.
 We use a CHARMM 27b1 version and I create the input file according to
 manual i.e.
 
 first block is generation of molecule  ( for test case I use an ethane)
 
 second block is quantum command and chhosing of link atom, in my case it
 is one of the carbon:
 
 QUANTUM SELE BYNU 1:4 END GLNK SELE BYNU 8 END AM1
 MINI SD NSTEP 1000 npr 10
 
 *******
 
 At this step I had a permanent fatal error: QATLAB is not defined, no
 EXPR group...Does it means that I need to use ADDL command or not? Can
 anybody help to fix this problem because previous version of CHARMM
 (CHARMM 24b2) had another syntax and have no GLNK facilities?
 
 Best regards,
 
 Sergey
 
 Sergey Noskov
 Institute of BioMedical Sciences
 Academia Sinica 
 Taipei 11529,Taiwan R.O.C.
 tel:886-2-27899043 (work)
     886-2-26510783 (home)
 fax:886-2-27887641
 e-mail:[email-masked]

---

From: Ben Webb <[email-masked]>
Date: Tue, 21 Nov 2000 15:06:26 +0000 (GMT)

>  (CHARMM 24b2) had another syntax and have no GLNK facilities?

	You don't say which platform you're running CHARMM on, so this
makes it difficult to determine what your problem is. However, this
"undefined QATLAB" problem occurs with CHARMM on GNU platforms
(e.g. Linux) and has only been fixed as of c27b3/c28a3. The fix is
relatively straightforward; add GNU to the ##IF statement immediately
before "external QMMMDATA" in qmset.src, and recompile all of the files
in the quantum directory with the
"-finit-local-zero -fno-automatic" compiler flags (if this is not done the
code fails to carry out an energy calculation).

Hope this helps...

	Ben